#include <qapplication.h>
#include <qtranslator.h>
#include <qtextcodec.h>

#include "editor.h"

int main( int argc, char ** argv )
{
    QApplication * app = new QApplication( argc, argv );

    QTranslator * translator = new QTranslator( 0 );
    translator->load( QString( "ljedit_" ) + QTextCodec::locale(),
        "/usr/lib" );
    app->installTranslator( translator );

    Editor * editor = new Editor;
    editor->show();

    QApplication::connect( app, SIGNAL( lastWindowClosed() ),
    app, SLOT( quit() ) );

    return app->exec();
}
