#ifndef EDITOR_H
#define EDITOR_H
#include ".ui/ljeditor.h"

#include <qstring.h>

class QTextEdit;

class Editor : public ljeditor
{ 
    Q_OBJECT

public:
    Editor( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~Editor();

public slots:
    void fileNew();
    void fileOpen();
    void fileSave();
    void fileSaveAs();

protected:    
    void closeEvent( QCloseEvent * );  
    bool saveAndContinue( QString );

private:
    QString fileName;
    QTextEdit * editField;

};

#endif // EDITOR_H
